## model
Enum Tournament.EntryComparator.SortBy

    java.lang.Object
      java.lang.Enum<Tournament.EntryComparator.SortBy>
          model.Tournament.EntryComparator.SortBy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Tournament.EntryComparator.SortBy>

Enclosing class:
  Tournament.EntryComparator

    public static enum Tournament.EntryComparator.SortBy

extends java.lang.Enum<Tournament.EntryComparator.SortBy>

Enum Constant Summary
`LASTNAME`
`RANK`

Method Summary
`(package private) abstract int` `simpleSort(Entry first_entry, Entry second_entry)`
`(package private) abstract int` `sort(Entry first_entry, Entry second_entry)`
`static Tournament.EntryComparator.SortBy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tournament.EntryComparator.SortBy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LASTNAME

    public static final Tournament.EntryComparator.SortBy LASTNAME

### RANK

    public static final Tournament.EntryComparator.SortBy RANK

Method Detail

### values

    public static Tournament.EntryComparator.SortBy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Tournament.EntryComparator.SortBy c : Tournament.EntryComparator.SortBy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Tournament.EntryComparator.SortBy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### simpleSort

    abstract int simpleSort(Entry first_entry,
                            Entry second_entry)

### sort

    abstract int sort(Entry first_entry,
                      Entry second_entry)